Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class BusinessDetailExt

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse
                  |
                  +--weblogic.uddi.client.structures.response.BusinessDetailExt

public class BusinessDetailExt
extends ListResponse

BusinessDetailExt contains one or more businessEntity data sets in response to a get_businessDetailExt message

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`BusinessDetailExt()` Class constructor.

Method Summary
`void` | `addBusinessEntityExt(BusinessEntityExt businessEntityExt)` Add a new business entity (ext).
`java.util.Vector` | `getBusinessEntityExtVector()` Gets the set of business entities (ext).
`void` | `setBusinessEntityExtVector(java.util.Vector vector)` Sets a new set of business entities (ext).

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessDetailExt

    public BusinessDetailExt()

  Class constructor.

Method Detail

### addBusinessEntityExt

    public void addBusinessEntityExt(BusinessEntityExt businessEntityExt)

  Add a new business entity (ext). to the current set of business entities (ext).

  Parameters:
    `businessEntity` - New business entity (ext).

### setBusinessEntityExtVector

    public void setBusinessEntityExtVector(java.util.Vector vector)

  Sets a new set of business entities (ext).

  Parameters:
    `vector` - New set of business entities (ext).

### getBusinessEntityExtVector

    public java.util.Vector getBusinessEntityExtVector()

  Gets the set of business entities (ext).

  Returns:
    the set of business entities (ext).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference